import { ScatterBase } from "./ScatterBase";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { MarkerFillMode } from "./MarkerFillMode";
import { Type } from "igniteui-angular-core";
import { ScatterBaseView } from "./ScatterBaseView";
/**
 * @hidden
 */
export declare class ScatterSeries extends ScatterBase {
    static $t: Type;
    protected bj(): Series;
    protected get_ei(): boolean;
    protected cs(): SeriesView;
    protected jl(): number;
    wz(): MarkerFillMode;
    qz(a: SeriesView): void;
    acl: ScatterSeriesView;
    constructor();
}
/**
 * @hidden
 */
export declare class ScatterSeriesView extends ScatterBaseView {
    static $t: Type;
    protected dk: ScatterSeries;
    constructor(a: ScatterSeries);
    au(): void;
    protected af(): void;
}
